---
sidebar_position: 5
description: Upload file by URL and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Upload file by URL
 Uploads a file to the cloud drive by fetching it from the specified URL



`Function UploadFileByURL(Val Token, Val FileURL, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | FileURL | --url | String | &#x2714; | URL source of the file |
  | Path | --path | String | &#x2714; | Save path on Dropbox |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Path  = "/New/url_doc.docx";
    Token = "sl.u. ...";
    URL   = "https://hut.openintegrations.dev/test_data/document.docx";

    Result = OPI_Dropbox.UploadFileByURL(Token, URL, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox UploadFileByURL \
             --token "***" \
             --url "https://hut.openintegrations.dev/test_data/document.docx" \
             --path "/New/url_doc.docx"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox UploadFileByURL ^
             --token "***" ^
             --url "https://hut.openintegrations.dev/test_data/document.docx" ^
             --path "/New/url_doc.docx"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 ".tag": "async_job_id",
 "async_job_id": "KV9d30KljVUAAAAAAAAAAQ"
}
```
